
/* -------------------------------------------------------------------------
   A. Veneziani - Calcolo del perimetro di un triangolo

                  Scritto in C++ Builder 6
   ------------------------------------------------------------------------- */                 

#include <iostream>
#include <math>
#include <stdlib>

using namespace std;

// definizione di una struttura punto
struct punto {
   float x;
   float y;
};

// definizione della struttura triangolo
// (in funzione della struttura punto)
struct triangolo {
   punto p1;
   punto p2;
   punto p3;     };

// prtotipo della funzione che
// calcola la distanza tra due punti
float distanza_punti(punto, punto); 

int main()
{
     triangolo tr;
     float d1, d2, d3, per;

     // richiesta delle coordinate dei punti
     cout <<  "Dai le coordinate dei punti del triangolo: (x1  y1  x2  y2  x3  y3)  " << endl;
     cin >> tr.p1.x >> tr.p1.y >> tr.p2.x >> tr.p2.y >> tr.p3.x >> tr.p3.y;

     // calcolo della distanza tra i diversi punti
     d1 = distanza_punti(tr.p1, tr.p2);
     d2 = distanza_punti(tr.p2, tr.p3);
     d3 = distanza_punti(tr.p3, tr.p1);

     // calcolo del perimetro, come somma delle sitanze tra i vari punti
     per = d1 + d2 + d3;     

     // stampa del risultato
     cout << "Il perimetro del triangolo risulta:  " << per << endl << endl;

     system("PAUSE");    // attende un tasto prima di uscire

     return 0;
}

// calcolo della distanza tra due punti
float distanza_punti(punto p1, punto p2)
{
     float dist;

     dist = sqrt(pow((p2.x - p1.x),2) + pow((p2.y - p1.y),2));
     return (dist);
}

//---------------------------------------------------------------------------

